module Igloo
  CLIENT_VERSION = '0.1.0'

  # Regular expression to extract metadata from self-describing JSON
  URI_REGEX = Regexp.new "^iglu:([a-zA-Z0-9\\-_.]+)\/([a-zA-Z0-9\\-_]+)\/([a-zA-Z0-9\\-_]+)\/([1-9][0-9]*(?:-(?:0|[1-9][0-9]*)){2})$"

  # Common Igloo error
  class IglooError < StandardError
    def initialize(message = "NOPE!")
      super(message)
    end
  end
end
